package ovladani;

import gnu.io.CommPort;

import gnu.io.CommPortIdentifier;
import gnu.io.SerialPort;

import java.io.FileDescriptor;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class PortCom {
	public static OutputStream out2;
	public PortCom()

    {
        super();
    }
	
	public void pripoj(String jmenoPortu, int rychlost)throws Exception{
		CommPortIdentifier portID = CommPortIdentifier.getPortIdentifier(jmenoPortu);
		
		if ( portID.isCurrentlyOwned() )
        {
            System.out.println("Chyba: " + jmenoPortu + " je prv pouvn");
        }
        else
        {
            CommPort commPort = portID.open(this.getClass().getName(),2000);
            
            if ( commPort instanceof SerialPort )
            {
                SerialPort serialPort = (SerialPort) commPort;
                serialPort.setSerialPortParams(rychlost,SerialPort.DATABITS_8,SerialPort.STOPBITS_1,SerialPort.PARITY_NONE);
               
                InputStream in = serialPort.getInputStream();
                OutputStream out = serialPort.getOutputStream(); 
                out2=out;     

            }
            else
            {
                System.out.println("Error: Only serial ports are handled by this example.");
                
            }
        }   
	}
	
	public void odesliData(String data) {
    	try {
    		out2.write(data.getBytes());
    		out2.flush();	  		
    					} catch (IOException e) {
    						System.out.println("neexistujici spojeni");
		}
    }
	
	
	
}
